Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIFocus

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractFocus
                      org.richfaces.component.UIFocus

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIFocus

extends AbstractFocus
implements org.ajax4jsf.component.AjaxOutput

Focus component allows to set focus based on validation of components or alternatively it can preserve focus on currently focused form input.

Focus can be bound to form (in case of placement to h:form) or to whole view (when placed outside of forms) - in latter case, all forms will be managed by one Focus. There can be at most one Focus per form. When there is one view-scoped Focus and form defines own Focus, form-scoped Focus settings will be used.

Focus is applied each time the component is rendered - for each full page submit and for each partial page request (in case of ajaxRendered=true). Alternatively, you can use JavaScript API: `applyFocus()` function will immediately cause.

Nested Class Summary
`protected static class` | `UIFocus.Properties`

Nested classes/interfaces inherited from class org.richfaces.component.AbstractFocus
`AbstractFocus.Mode`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIFocus()`

Method Summary
`String` | `getFamily()`
`boolean` | `isAjaxRendered()` Defines whether focus state should be updated during each AJAX request automatically.
`boolean` | `isDelayed()` Defines whether focus should not be applied after initial page load, but will need to be triggered by JavaScript function from Focus API: `applyFocus()` or via re-rendering (postback).
`boolean` | `isKeepTransient()` Hide keepTransient attribute from AjaxOutput
`boolean` | `isPreserve()` Defines whether focus should be preserved on last focused input before request was done (default: false)
`boolean` | `isValidationAware()` Defines if focus should respect validation of inputs.
`void` | `setAjaxRendered(boolean ajaxRendered)`
`void` | `setDelayed(boolean delayed)`
`void` | `setKeepTransient(boolean keepTransient)`
`void` | `setPreserve(boolean preserve)`
`void` | `setValidationAware(boolean validationAware)`

Methods inherited from class org.richfaces.component.AbstractFocus
`getMode, processEvent`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIFocus

    public UIFocus()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### isAjaxRendered

    public boolean isAjaxRendered()

  Description copied from class: `AbstractFocus`
  Defines whether focus state should be updated during each AJAX request automatically. (default: true)

  Specified by:
    `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`
  Specified by:
    `isAjaxRendered` in class `AbstractFocus`

### setAjaxRendered

    public void setAjaxRendered(boolean ajaxRendered)

  Specified by:
    `setAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

### isDelayed

    public boolean isDelayed()

  Description copied from class: `AbstractFocus`
  Defines whether focus should not be applied after initial page load, but will need to be triggered by JavaScript function from Focus API: `applyFocus()` or via re-rendering (postback).

  Specified by:
    `isDelayed` in class `AbstractFocus`

### setDelayed

    public void setDelayed(boolean delayed)

### isKeepTransient

    public boolean isKeepTransient()

  Description copied from class: `AbstractFocus`
  Hide keepTransient attribute from AjaxOutput

  Specified by:
    `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`
  Specified by:
    `isKeepTransient` in class `AbstractFocus`

### setKeepTransient

    public void setKeepTransient(boolean keepTransient)

  Specified by:
    `setKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`

### isPreserve

    public boolean isPreserve()

  Description copied from class: `AbstractFocus`
  Defines whether focus should be preserved on last focused input before request was done (default: false)

  Specified by:
    `isPreserve` in class `AbstractFocus`

### setPreserve

    public void setPreserve(boolean preserve)

### isValidationAware

    public boolean isValidationAware()

  Description copied from class: `AbstractFocus`

  Defines if focus should respect validation of inputs.

  If true, only invalid form fields will be focused when focus applied.

  (default: true)

  Specified by:
    `isValidationAware` in class `AbstractFocus`

### setValidationAware

    public void setValidationAware(boolean validationAware)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.